Bug 1735335 - adding gluster bricks to RHHI-V requires path /rhgs or bricks are not found
Summary: adding gluster bricks to RHHI-V requires path /rhgs or bricks are not found
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: gluster-ansible-infra
Version: 4.3.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-4.3.7
: ---
Assignee: Gobinda Das
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 19:35 UTC by Donald Berry
Modified: 2019-09-17 09:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 09:16:40 UTC
oVirt Team: Gluster
Target Upstream Version:


Attachments (Terms of Use)

Description Donald Berry 2019-07-31 19:35:07 UTC
Description of problem:
Added bricks with path /gluster_bricks to match cockpit wizard (RHHI-V 1.6):

[root@dell-r640-01 playbooks]# grep path bricks2.yml 
   - { path: '/gluster_bricks/vmstore', vgname: 'gluster_vg', lvname: 'gluster_lv_vmstore' }
[root@dell-r640-01 playbooks]# ansible-playbook -i inventory create_brick.yml

gluster devices are then visible under Compute/Hosts/<host>/Storage Devices in RHV UI, but can't add bricks with Storage/Volumes/<volume>/Bricks/Add/<host> - Brick Directory (dropdown) is empty.

Deleted new bricks and recreated with path /rhgs:

[root@dell-r640-01 playbooks]# grep path bricks3.yml 
   - { path: '/rhgs/vmstore', vgname: 'gluster', lvname: 'vmstore' }

The bricks are then visible in Storage/Volumes/<volume>/Bricks/Add/<host>/Brick Directory.

Version-Release number of selected component (if applicable):
RHV 4.3.4, RHHI-V 1.6

How reproducible:
100%?

Steps to Reproduce:
1. see above, deploy bricks with path /gluster_bricks, no bricks to add in UI
2. deploy bricks with path /rhgs, bricks can be added
3.

Actual results:


Expected results:


Additional info:

Comment 1 Donald Berry 2019-07-31 19:44:41 UTC
Note, I did sync the host storage for the bricks with path /gluster_bricks.

For each host, Compute/Hosts/<host>/Storage Devices/Sync.

They were still not visible in Storage/Volumes/<volume>/Bricks/Add/<host>/Brick Directory (dropdown was empty).

Comment 2 Sahina Bose 2019-09-04 12:58:43 UTC
Wasn't this addressed?

Comment 3 Gobinda Das 2019-09-05 04:22:05 UTC
The issue was fixed and verified as per https://bugzilla.redhat.com/show_bug.cgi?id=1719332
Need to check if still issue is there.
@sas Can you please confirm?

Comment 4 SATHEESARAN 2019-09-05 09:01:10 UTC
(In reply to Gobinda Das from comment #3)
> The issue was fixed and verified as per
> https://bugzilla.redhat.com/show_bug.cgi?id=1719332
> Need to check if still issue is there.
> @sas Can you please confirm?

Yes, with RHV 4.3.5 , when bricks are created from RHV-Manager UI, these bricks
are mounted under /gluster_bricks/dir

Comment 5 Gobinda Das 2019-09-17 09:16:40 UTC
This issue is already fixed in 4.3.5 and verified (https://bugzilla.redhat.com/show_bug.cgi?id=1719332)
And this is not part of gluster-ansible-infra component. So closing this.


Note You need to log in before you can comment on or make changes to this bug.